<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>HWA_AccelModeFFT_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">HWA_AccelModeFFT_t Struct Reference<div class="ingroups"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html">HWA Driver External Data Structures</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>HWA Paramset Config for FFT block.  
 <a href="struct_h_w_a___accel_mode_f_f_t__t.html#details">More...</a></p>

<p><code>#include &lt;drivers/hwa/hwa.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:adb9c07b3185e49af2a0b6810a8710ad5"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___accel_mode_f_f_t__t.html#adb9c07b3185e49af2a0b6810a8710ad5">fftEn</a></td></tr>
<tr class="separator:adb9c07b3185e49af2a0b6810a8710ad5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c927846257fb8514b4e00349704c87f"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___accel_mode_f_f_t__t.html#a5c927846257fb8514b4e00349704c87f">fftSize</a></td></tr>
<tr class="separator:a5c927846257fb8514b4e00349704c87f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e2d4a74fbf35cdcf5f09844fc034c67"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___accel_mode_f_f_t__t.html#a0e2d4a74fbf35cdcf5f09844fc034c67">butterflyScaling</a></td></tr>
<tr class="separator:a0e2d4a74fbf35cdcf5f09844fc034c67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad49811378d9c6e603999bafa0d76ec68"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___accel_mode_f_f_t__t.html#ad49811378d9c6e603999bafa0d76ec68">interfZeroOutEn</a></td></tr>
<tr class="separator:ad49811378d9c6e603999bafa0d76ec68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab033c7d044cbd14925e1a896940dd35a"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___accel_mode_f_f_t__t.html#ab033c7d044cbd14925e1a896940dd35a">windowEn</a></td></tr>
<tr class="separator:ab033c7d044cbd14925e1a896940dd35a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2c68743b1f1fa531b6ce75ce0e972ad"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___accel_mode_f_f_t__t.html#ab2c68743b1f1fa531b6ce75ce0e972ad">windowStart</a></td></tr>
<tr class="separator:ab2c68743b1f1fa531b6ce75ce0e972ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37765b2bc0bf2c439aa433d4363e0847"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___accel_mode_f_f_t__t.html#a37765b2bc0bf2c439aa433d4363e0847">winSymm</a></td></tr>
<tr class="separator:a37765b2bc0bf2c439aa433d4363e0847"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bb9a11a6af89a393bdd0373818076b9"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___accel_mode_f_f_t__t.html#a8bb9a11a6af89a393bdd0373818076b9">winInterpolateMode</a></td></tr>
<tr class="separator:a8bb9a11a6af89a393bdd0373818076b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4401d922b16dcb8129d6f7730af0adde"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___accel_mode_f_f_t__t.html#a4401d922b16dcb8129d6f7730af0adde">magLogEn</a></td></tr>
<tr class="separator:a4401d922b16dcb8129d6f7730af0adde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3343edc862db63825690dc40c66dc18"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___accel_mode_f_f_t__t.html#aa3343edc862db63825690dc40c66dc18">fftOutMode</a></td></tr>
<tr class="separator:aa3343edc862db63825690dc40c66dc18"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>HWA Paramset Config for FFT block. </p>
<p>HWA paramset config parameters for the FFT block inside HWA_ParamConfig which is used with the HWA_ConfigParamSet() call. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a0e2d4a74fbf35cdcf5f09844fc034c67"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t HWA_AccelModeFFT_t::butterflyScaling</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>10 bit value: 1 bit per butterfly stage. LSB is for last stage and MSB is for the first stage for each bit, 0 - MSB is saturated 1 - convergent rounded at LSB (divide by 2) Number of valid bits in this field depends on the fftSize. Sets the BFLY_SCALING bits of PARAM1_6 </p>

</div>
</div>
<a class="anchor" id="adb9c07b3185e49af2a0b6810a8710ad5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t HWA_AccelModeFFT_t::fftEn</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>1 bit value: See <a class="el" href="group___h_w_a___f_e_a_t_u_r_e___b_i_t.html">HWA_FEATURE_BIT</a> macros for correct values. Enable/Disable for FFT computation 0 - FFT disabled (Pipelined FFT sub-block bypassed) 1 - FFT enabled (Pipelined FFT sub-block enabled) Sets the FFT_EN bits of PARAM1_0 </p>

</div>
</div>
<a class="anchor" id="aa3343edc862db63825690dc40c66dc18"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t HWA_AccelModeFFT_t::fftOutMode</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>2 bit value: See <a class="el" href="group___h_w_a___f_f_t___m_o_d_e___o_u_t_p_u_t.html">HWA_FFT_MODE_OUTPUT</a> macros for correct values. Configures the output mode of the FFT Engine path For stats mode, following parameters will be overriden in <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac99df888257d514a8476dce4fb704edf">HWA_DestConfig</a> of that paramset dstAcnt=4095, dstAIdx=dstBIdx=8, dstWidth=1, dstRealComplex=0. Sets the FFT_OUTPUT_MODE bits of PARAM1_0 </p>

</div>
</div>
<a class="anchor" id="a5c927846257fb8514b4e00349704c87f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t HWA_AccelModeFFT_t::fftSize</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>4 bit value: Specifies FFT size. Actual FFT size is equal to 2^(fftSize) Supported values are [1..10], which correspond to FFT sizes [2..1024]. The actual FFT size should be equal to or larger than srcAcnt Sets the FFTSIZE bits of PARAM1_6 </p>

</div>
</div>
<a class="anchor" id="ad49811378d9c6e603999bafa0d76ec68"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t HWA_AccelModeFFT_t::interfZeroOutEn</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>1 bit value: See <a class="el" href="group___h_w_a___f_e_a_t_u_r_e___b_i_t.html">HWA_FEATURE_BIT</a> macros for correct values. Enable/Disable for interference zeroing out <a class="el" href="struct_h_w_a___common_config__t.html#a4e6ec83fa06c62346f90b650bc05ed88">HWA_CommonConfig_t::interferenceThreshold</a> field should be set to a valid value if this field is enabled. Sets the INTERF_THRESH_EN bits of PARAM1_6 </p>

</div>
</div>
<a class="anchor" id="a4401d922b16dcb8129d6f7730af0adde"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t HWA_AccelModeFFT_t::magLogEn</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>2 bit value: See <a class="el" href="group___h_w_a___f_f_t___m_o_d_e___m_a_g_n_i_t_u_d_e___l_o_g2.html">HWA_FFT_MODE_MAGNITUDE_LOG2</a> macros for correct values. Enable/Disable for Magnitude and Log2 computation Sets the ABS_EN, LOG2EN bits of PARAM1_0 </p>

</div>
</div>
<a class="anchor" id="ab033c7d044cbd14925e1a896940dd35a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t HWA_AccelModeFFT_t::windowEn</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>1 bit value: See <a class="el" href="group___h_w_a___f_e_a_t_u_r_e___b_i_t.html">HWA_FEATURE_BIT</a> macros for correct values. Enable/Disable for Windowing operation Sets the WINDOW_EN bits of PARAM1_0 </p>

</div>
</div>
<a class="anchor" id="ab2c68743b1f1fa531b6ce75ce0e972ad"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t HWA_AccelModeFFT_t::windowStart</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>10 bit value: (0-1023) Specifies the offset from the actual Window RAM base address and represents the starting address of the window function in the Window RAM. A value of 0x0 means the starting address is the first byte in the Window RAM, 0x1 is the second byte and so on. Sets the WINDOW_START bits of PARAM1_6 </p>

</div>
</div>
<a class="anchor" id="a8bb9a11a6af89a393bdd0373818076b9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t HWA_AccelModeFFT_t::winInterpolateMode</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>2 bit value: See <a class="el" href="group___h_w_a___f_f_t___w_i_n_d_o_w___i_n_t_e_r_p_o_l_a_t_e___m_o_d_e.html">HWA_FFT_WINDOW_INTERPOLATE_MODE</a> macros for correct values. Configures linear interpolation for the window coefficients, which is relevant for large-size FFT computation (i.e., FFT sizes of 2K, 4K) that is obtained via stitching multiple smaller-size FFTs. (Note: winSymm should be set to 0 when using 4K or 2K mode( Sets the WINDOW_INTERP_FRACTION bits of PARAM1_7 </p>

</div>
</div>
<a class="anchor" id="a37765b2bc0bf2c439aa433d4363e0847"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t HWA_AccelModeFFT_t::winSymm</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>1 bit value: See <a class="el" href="group___h_w_a___w_i_n_d_o_w___s_y_m_m.html">HWA_WINDOW_SYMM</a> macros for correct values. Indicates whether the window function is symmetric or not Sets the WINSYMM bits of PARAM1_6 </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>drivers/hwa/<a class="el" href="hwa_8h.html">hwa.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
